FILTER-SENDERSCORE(8)

NAME
filter-senderscore - SenderScore filter for OpenSMTPD

SYNOPSIS
filter-senderscore [-blockBelow score] [-blockPhase phase] [-junkBelow score] [-slowFactor factor] [-scoreHeader]

DESCRIPTION
The filter-senderscore filter for the OpenSMTPD (smtpd(8)) server filters sessions based on their SenderScores reputation score. Its options are:

-blockBelow score
    Displays an error banner for sessions with a reputation score below score and then disconnects.

-blockPhase phase
    Determines at which phase -blockBelow is triggered. The default is connect. Valid choices are connect, helo, ehlo, starttls, auth, mail-from, rcpt-to, and quit. Note that quit will result in a message at the end of a session and may only be used to warn the sender that its reputation is degrading, as it will not prevent transactions from succeeding.

-junkBelow score
    Prepends a ‘X-Spam: yes’ header to messages for sessions with a reputation score below score.

-slowFactor factor
    Delays all answers by this many milliseconds, where ‘score’ is the reputation score:
        factor - ((factor ÷ 100) * score)

-scoreHeader
    Adds an ‘X-SenderScore’ header with the sender's reputation score if known.

EXIT STATUS

EXAMPLES
Adding the following to smtpd.conf enables filter-senderscore for all incoming connections.

    filter "senderscore" proc-exec \
           "/usr/local/bin/filter-senderscore -blockBelow 50 \
                                              -junkBelow  80 \
                                              -slowFactor 1000"
    listen on all filter "senderscore"

SEE ALSO
smtpd.conf(5)

AUTHORS
filter-senderscore is Copyright © 2019 -nosplit Gilles Chehade <gilles@poolp.org>. This man page is Copyright © 2020 Ryan Kavanagh <rak@debian.org>. Both are distributed under the ISC license.

BUGS
None known.